Get Verification Request Status History
Get the history of status changes for a verification request.
Returns a paginated list of historical status changes including the reason for each change and when it occurred.
GET
/
messaging
/
tollfree
/
verification
/
requests
/
{id}
/
status
/
history
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messagingTollfree.verification.requests.retrieveStatusHistory(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ 'page[number]': 1, 'page[size]': 1 },
);
console.log(response.records);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_tollfree.verification.requests.retrieve_status_history(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
page_number=1,
page_size=1,
)
print(response.records)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.MessagingTollfree.Verification.Requests.GetStatusHistory(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingTollfreeVerificationRequestGetStatusHistoryParams{
PageNumber: 1,
PageSize: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Records)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveStatusHistoryParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveStatusHistoryResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestRetrieveStatusHistoryParams params = RequestRetrieveStatusHistoryParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.pageNumber(1L)
.pageSize(1L)
.build();
RequestRetrieveStatusHistoryResponse response = client.messagingTollfree().verification().requests().retrieveStatusHistory(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_tollfree.verification.requests.retrieve_status_history(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
page_number: 1,
page_size: 1
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client
->messagingTollfree
->verification
->requests
->retrieveStatusHistory(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', pageNumber: 1, pageSize: 1
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests retrieve-status-history \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--page-number 1 \
--page-size 1curl --request GET \
--url https://api.telnyx.com/v2/messaging/tollfree/verification/requests/{id}/status/history \
--header 'Authorization: Bearer <token>'{
"records": [],
"total_records": 0
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the resource.
Query Parameters
Page number to retrieve (1-based).
Required range:
x >= 1Number of items to return per page. Request this many records per page. This value is automatically clamped if the provided value is too large.
Required range:
x >= 1Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messagingTollfree.verification.requests.retrieveStatusHistory(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ 'page[number]': 1, 'page[size]': 1 },
);
console.log(response.records);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging_tollfree.verification.requests.retrieve_status_history(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
page_number=1,
page_size=1,
)
print(response.records)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.MessagingTollfree.Verification.Requests.GetStatusHistory(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingTollfreeVerificationRequestGetStatusHistoryParams{
PageNumber: 1,
PageSize: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Records)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveStatusHistoryParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveStatusHistoryResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestRetrieveStatusHistoryParams params = RequestRetrieveStatusHistoryParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.pageNumber(1L)
.pageSize(1L)
.build();
RequestRetrieveStatusHistoryResponse response = client.messagingTollfree().verification().requests().retrieveStatusHistory(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging_tollfree.verification.requests.retrieve_status_history(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
page_number: 1,
page_size: 1
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client
->messagingTollfree
->verification
->requests
->retrieveStatusHistory(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', pageNumber: 1, pageSize: 1
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests retrieve-status-history \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--page-number 1 \
--page-size 1curl --request GET \
--url https://api.telnyx.com/v2/messaging/tollfree/verification/requests/{id}/status/history \
--header 'Authorization: Bearer <token>'{
"records": [],
"total_records": 0
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}